package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag708;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT708Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag49NCreator extends AbsTagCreate {

     private MT708Creator mt708Creator;

    public Tag49NCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt708Creator= (MT708Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag49NValue = mt708Creator.getSpecialPaymentConditionsforBankOnly();
        mt708Creator.set("49N", tag49NValue);
    }
}
